package nl.niftysystems.android.game;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;

public class GameObject {
	
	public float x;
	public float y;
	
	public float width;
	public float height;
	public float cdRadius;
	
	public double vx;
	public double vy;
	
	private Bitmap bm;
	
	public void setBitmapFromResources(Resources res, int id) {
		setBitmap(BitmapFactory.decodeResource(res, id));
	}

	public void setBitmap(Bitmap bm) {
		this.bm = bm;
		width = bm.getWidth();
		height = bm.getHeight();
	}

	public Bitmap getBitmap() {
		return bm;
	}
	
}
